Bug 977061 - gtk-gnash causes cpu load 100% for some minutes
gtk-gnash causes cpu load 100% for some minutes
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hicham HAOUARI
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-23 00:20 EDT by joerg.lechner
Modified: 2015-02-17 10:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:40:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joerg.lechner 2013-06-23 00:20:42 EDT
Description of problem:
joerg.lechner 2013-06-21 03:07:40 EDT, comment 28 in Bug 964588. This is a copy of comment 28.

Tim Waugh asked me to report this problem seperately outside closed Bug 964588.

Tim thank You for the hint "top".
-installed F19 TC6, LXDE Desktop from Live iso i686 LXDE TC6
-Update with Yum Extender
-installed Firefox (all files which could be found with only Firefox in the Yum Extender command line)
-installed printer (Canon Pixma MP540)
-restart of the PC
-first print with Firefox (e-mail comprizing about 20 lines).
-after successful print was the CPU load for about 12 minutes 100%, "top" showed gtk-gnash about every 2 seconds.

top - 08:34:18 up 33 min,  1 user,  load average: 1,52, 1,42, 1,09
Tasks: 118 total,   4 running, 114 sleeping,   0 stopped,   0 zombie
%Cpu(s): 94,7 us,  5,3 sy,  0,0 ni,  0,0 id,  0,0 wa,  0,0 hi,  0,0 si,  0,0 st
KiB Mem:    508740 total,   407248 used,   101492 free,     6996 buffers
KiB Swap:  1081340 total,    16876 used,  1064464 free,   124460 cached

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU  %MEM     TIME+ COMMAND   
 1710 joerg     20   0   71608  25448  11396 R 83,64 5,002  10:47.75 gtk-gnash 
 1700 joerg     20   0   59928  13592  10820 R 2,975 2,672   0:32.25 gtk-gnash 
 1621 joerg     20   0  573584 150260  51016 S 2,645 29,54   1:20.07 firefox   
 1692 joerg     20   0   60424  14356  11232 S 2,645 2,822   0:21.66 gtk-gnash 
  508 root      20   0   86868  24492  17960 S 2,314 4,814   1:56.41 X         
 1691 jo

-tried to print next file (second print after installation). Print with Firefox e-mail (about 12 lines). After having printed this e-mail, there were about 10 lines line feed, but no page eject, the printed sheet of paper remains therefore in the printer, and I will have to pull it out by hand etc. ----> printer blocked as I have described previously (in Bug 964588)



Version-Release number of selected component (if applicable):
I don't know, but before the test on 2013-06-21 03:07:40, I did a Yum Extender update.

How reproducible:
Not always, in this printing problem I saw 100% CPU load so far three times (about 9 min, about 4 min, about 12 min)


Steps to Reproduce:
I have described the conditions, where this CPU load appeared. I don't see this problems sometimes, but not always.


Actual results:
PC blocked for some minutes by 100% CPU load

Expected results:
Not 100% CPU load


Additional info:


Description: 

Packages to be added: 

Comps group:  

Default: 

Mandatory: 

Visible: 

Multi-lib: 

Need to be present for arches: 


Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fedora End Of Life 2015-01-09 13:30:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 10:40:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.